You are here: Agent Technical Requirements > Agent computer hardware and software requirements

Agent Browser Configuration Requirements

The following browsers support Virtual Contact Center:

Known Issue: If you use Internet Explorer to run Virtual Contact Center applications, you may encounter high memory usage. To resolve this issue, clear your browser cookies and cache, activate the setting to clear history, clear history on exit, and reboot.

Note: Virtual Contact Center is partially compatible with Safari, offering support for the Agent Console Control Panel functionality.

Note: Firefox requires the QuickTime plug-in for audio features.

 


Send us your feedback